> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get runner metrics

GET https://api.getpostman.com/runners/{runnerId}/metrics

Gets the Postman server-side metrics for a runner instance. Metrics include information such as monitor run queues and last polling date.

**Note:**

You can get a runner's ID in the Postman UI if you have a Team Admin or Super Admin role. To do this, click **Team > Team Settings** in Postman, then click **Runners**. Click the runner you want to get the ID of, then copy its ID from the URL.


Reference: https://learning.postman.com/api-docs/api-reference/monitors/get-runner-metrics

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /runners/{runnerId}/metrics:
    get:
      operationId: getRunnerMetrics
      summary: Get runner metrics
      description: >
        Gets the Postman server-side metrics for a runner instance. Metrics
        include information such as monitor run queues and last polling date.


        **Note:**


        You can get a runner's ID in the Postman UI if you have a Team Admin or
        Super Admin role. To do this, click **Team > Team Settings** in Postman,
        then click **Runners**. Click the runner you want to get the ID of, then
        copy its ID from the URL.
      tags:
        - monitors
      parameters:
        - name: runnerId
          in: path
          description: The runner's ID.
          required: true
          schema:
            $ref: '#/components/schemas/runnerId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getRunnerMetrics'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRunnerMetricsRequestUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRunnerMetricsRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/runnerErrorTypeTitleDetailCreatedAt'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    runnerId:
      type: string
      title: runnerId
    getRunnerMetrics:
      type: object
      properties:
        lastPingAt:
          type: string
          description: The last date and time the runner sent results to the Postman cloud.
        oldestQueuedRunAgeSeconds:
          type: integer
          description: >-
            The age of the monitor, in seconds, that has been waiting the
            longest to run in the runner.
        queueDepth:
          type: integer
          description: The number of pending Postman monitor runs in the runner's queue.
      description: The runner instance's metrics information.
      title: getRunnerMetrics
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetRunnerMetricsRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetRunnerMetricsRequestUnauthorizedError
    GetRunnerMetricsRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetRunnerMetricsRequestForbiddenError
    runnerErrorTypeTitleDetailCreatedAt:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        createdAt:
          type: string
          description: The date and time at which the error occurred.
      title: runnerErrorTypeTitleDetailCreatedAt
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "lastPingAt": "2025-09-21T12:11:19.000Z",
  "oldestQueuedRunAgeSeconds": 10213,
  "queueDepth": 9
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/metrics"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/metrics';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/metrics"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/metrics")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/metrics")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/metrics', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/metrics");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/metrics")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```